#include "chdecl.h"
void CH_getformatters_fmtroot(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c9;
    case 4: goto c11;
    case 5: goto c17;
    case 6: goto c22;
    case 7: goto c28;
    case 8: goto c33;
    case 9: goto c36;
    case 10: goto c44;
    case 11: goto c46;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* find 4 3.1 3.6.0 , 0 */
  if (findfunc(DEF(4),DEF(3)DOT(1),(
          arguments[0] = DEF(3)DOT(6)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* find 5 3.5.2 3.6.0 3.6.1 , 0 */
  if (findfunc(DEF(5),DEF(3)DOT(5)DOT(2),(
          arguments[0] = DEF(3)DOT(6)DOT(0),
          arguments[1] = DEF(3)DOT(6)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 3.8 5.2 */
  if((ch_returncode = cp_table(& ch_val, REF(5)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(8).tsdr)->finalize)(REF(3)DOT(8).value,F_DISCARD,sched);
  REF(3)DOT(8).value = ch_val;
  REF(3)DOT(8).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 11 */
   goto c11;
c9:
/* chs_lit 3.8 , "*Temporary*" */
  if( !chs_lit(DEF(3)DOT(8),"*Temporary*") ) goto ch_depletion;
c11:
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* find 6 4.1 3.6.1 , 0 */
  if (findfunc(DEF(6),DEF(4)DOT(1),(
          arguments[0] = DEF(3)DOT(6)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* reveal 6.1 , 0 */
  if (0 != REF(6)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 3.7 6.1.0 */
  if((ch_returncode = cp_record(& ch_val, REF(6)DOT(1)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7).value = ch_val;
  REF(3)DOT(7).tsdr = & dr_record;
/* endblock */
  che_endblock(sched);
/* branch , 33 */
   goto c33;
c17:
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* find 7 3.2 3.6 , 0 */
  if (findfunc(DEF(7),DEF(3)DOT(2),(
          arguments[0] = DEF(3)DOT(6),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 3.7 7.1 */
  if((ch_returncode = cp_record(& ch_val, REF(7)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7).value = ch_val;
  REF(3)DOT(7).tsdr = & dr_record;
/* endblock */
  che_endblock(sched);
/* branch , 33 */
   goto c33;
c22:
/* new_record 3.7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7).value = ch_val; REF(3)DOT(7).tsdr = & dr_record;
/* unique 3.7.0 */
  if ((ch_returncode = che_unique(DEF(3)DOT(7)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* unique 3.7.1 */
  if ((ch_returncode = che_unique(DEF(3)DOT(7)DOT(1),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 33 */
   goto c33;
c28:
/* new_record 3.7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7).value = ch_val; REF(3)DOT(7).tsdr = & dr_record;
/* unique 3.7.0 */
  if ((ch_returncode = che_unique(DEF(3)DOT(7)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* unique 3.7.1 */
  if ((ch_returncode = che_unique(DEF(3)DOT(7)DOT(1),sched)) != Normal)
     goto ch_raise_exception;
c33:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 44 */
   goto c44;
c36:
/* chs_lit 3.8 , "??" */
  if( !chs_lit(DEF(3)DOT(8),"??") ) goto ch_depletion;
/* new_record 3.7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7).value = ch_val; REF(3)DOT(7).tsdr = & dr_record;
/* unique 3.7.0 */
  if ((ch_returncode = che_unique(DEF(3)DOT(7)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* unique 3.7.1 */
  if ((ch_returncode = che_unique(DEF(3)DOT(7)DOT(1),sched)) != Normal)
     goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c44:
/* endblock */
  che_endblock(sched);
c46:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
